import Vue from 'vue'

// install i18n plugin
import i18n from 'vue-i18n'
Vue.use(i18n)

import store from './store' // vuex store instance
import router from './router' // vue-router instance
import { sync } from 'vuex-router-sync'
sync(store, router) // done.

import mdc from './index'
Vue.use(mdc)

import App from './App'
/* eslint-disable no-new */
new Vue({
  router,
  store,
  el: '#app',
  template: '<App/>',
  components: { App }
})
