export default {
  props: {
    size: {
      type: String,
      default: '',
      validator (val) {
        if (val === '') {
          return true
        }
        let sizes = ['xs', 'sm', 'lg']
        let b = sizes.includes(val)
        if (!b) {
          console.warn(`The prop 'size' only support `, sizes)
        }
        return b
      }
    },
    color: {
      default: ''
    }
  },
  methods: {
    getClasses (prefixSizeClass = '', prefixStyleClass = '') {
      let classes = [
        {[`${prefixSizeClass}-${this.size}`]: this.size},
        {[`${prefixStyleClass}-${this.color}`]: this.color}
      ]
      return classes
    }
  }
}
